Get overrides of all calculation card components
get
/hcmRestApi/resources/11.13.18.05/calculationEntries/{DirCardId}/child/CIRComponent/{CIRComponentUniqID}/child/CIRComponentDateRanges
Request
Path Parameters
-
CIRComponentUniqID(required): string
This is the hash key of the attributes which make up the composite key--- EffectiveStartDate, EffectiveEndDate and DirCardCompId ---for the Calculation Card Component resource and used to uniquely identify an instance of Calculation Card Component. The client should not generate the hash key value. Instead, the client should query on the Calculation Card Component collection resource with a filter on the primary key values in order to navigate to a specific instance of Calculation Card Component.
For example: CIRComponent?q=EffectiveStartDate=<value1>;EffectiveEndDate=<value2>;DirCardCompId=<value3> -
DirCardId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds all the calculation card overrides that match the specified primary key criteria.
Finder Variables- DirCardCompDrId; integer; Calculation card component date range ID used to find the component date range by primary key.
- EffectiveEndDate; string; Effective end date based on primary key for component date ranges.
- EffectiveStartDate; string; Effective start date based on primary key for component date ranges.
- findByEffectiveDatedFinder Finds all calculation card overrides based on the effective dated indicator.
Finder Variables- pCIRMode; string;
- pEffectiveDate; string;
- pRole; string;
- PrimaryKey Finds all the calculation card overrides that match the specified primary key criteria.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BaseClassificationName; string; Base classification name for component date ranges.
- BaseComponentName; string; Base component name of the calculation card component for component date ranges.
- BaseDeductionGroupName; string; Base deduction group name of the calculation card component for component date ranges.
- CardEffectiveEndDate; string; Effective end date of the calculation card for component date ranges.
- CardEffectiveStartDate; string; Effective start date of the calculation card for component date ranges.
- CardLevel; string; Card level for component date ranges.
- CardSequence; integer; Card sequence of the calculation card for component date ranges.
- ClassificationId; number; Classification ID of the calculation card component for component date ranges.
- ComponentDiscriminator; string; Discriminator for the calculation card component.
- ComponentSequence; integer; Sequence value of the calculation card component for component date ranges.
- Context1; string; Reference Value 1 for component date ranges.
- Context2; string; Reference Value 2 for component date ranges.
- Context3; string; Reference Value 3 for component date ranges.
- Context4; string; Reference Value 4 for component date ranges.
- Context5; string; Reference Value 5 for component date ranges.
- Context6; string; Reference Value 6 for component date ranges.
- DeductionGroupId; integer; Deduction group ID of the calculation card component for component date ranges.
- DeductionGroupName; string; Deduction group name of the calculation card component for component date ranges.
- DirCardCompDefId; integer; Definition ID of the calculation card component for component date ranges.
- DirCardCompDefName; string; Definition name of the calculation card component for component date ranges.
- DirCardCompDrId; integer; Unique identifier for the calculation card component date range.
- DirCardCompId; integer; ID of the calculation card component.
- DirCardDefinitionBaseName; string; Definition base name of the calculation card for component date ranges.
- DirCardDefinitionId; integer; Definition ID of the calculation card for component date ranges.
- DirCardDefinitionName; string; Definition name of the calculation card for component date ranges.
- DirCardId; integer; Unique identifier of the calculation card for component date ranges.
- EffectiveEndDate; string; Effective end date of calculation card component override.
- EffectiveStartDate; string; Effective start date of the calculation card component override.
- ElementTypeId; integer; Element type ID of the calculation card component for component date ranges.
- GroupBaseComponentName; string; Group base component name of the calculation card component for component date ranges.
- GroupComponentName; string; Group component name of the calculation card component for component date ranges.
- GroupDirCardCompDefId; integer; Group component definition ID of the calculation card component for component date ranges.
- LegislativeDataGroupId; integer; Legislative data group ID of the employee payroll relationship for component date ranges.
- LegislativeDataGroupName; string; Legislative data group name of the employee payroll relationship for component date ranges.
- LevelCode; string; Level code for component date ranges.
- ParentDirCardCompDefId; integer; Component definition ID of the calculation card components parent component for component date ranges.
- ParentDirCardCompId; integer; Component ID of calculation card components parent component.
- RangeEndDate; string; Range end date for component date ranges.
- RangeMode; string; RangeMode controls certain date effective behavior for the update or delete of component date ranges.
- RangeStartDate; string; Range start date for component date ranges.
- SecBaseClassificationName; string; Secondary base classification name of the calculation card component for component date ranges.
- SecondaryClassificationId; number; Secondary classification ID of the calculation card component for component date ranges.
- SourceId; integer; Payroll relationship ID of the employee for component date ranges.
- SourceType; string; Type of source associated with the calculation card component date range.
- Subpriority; integer; Subpriority of the calculation card component date range.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : calculationEntries-CIRComponent-CIRComponentDateRanges
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CIRComponent-CIRComponentDateRanges-item-response
Type:
Show Source
object-
AssignmentId: integer
Assignment ID of the employee for component date ranges.
-
AssignmentNumber: string
Assignment number of the employee for component date ranges.
-
AttributeCheckSum: string
Check sum of the attribute.
-
BaseClassificationName: string
Maximum Length:
160Base classification name for component date ranges. -
BaseComponentName: string
Maximum Length:
80Base component name of the calculation card component for component date ranges. -
BaseComponentNameFilter: string
Base component filter.
-
BaseDeductionGroupName: string
Maximum Length:
240Base deduction group name of the calculation card component for component date ranges. -
CardEffectiveEndDate: string
(date)
Effective end date of the calculation card for component date ranges.
-
CardEffectiveStartDate: string
(date)
Effective start date of the calculation card for component date ranges.
-
CardLevel: string
Maximum Length:
30Card level for component date ranges. -
CardSequence: integer
(int64)
Card sequence of the calculation card for component date ranges.
-
CIREffectiveDate: string
(date)
Effective start date of the calculation card component for component date ranges.
-
CIRMode: string
Represents the current mode of the card component.
-
ClassificationId: number
Classification ID of the calculation card component for component date ranges.
-
ComponentDiscriminator: string
Maximum Length:
255Discriminator for the calculation card component. -
ComponentSequence: integer
(int64)
Sequence value of the calculation card component for component date ranges.
-
Context1: string
Maximum Length:
150Reference Value 1 for component date ranges. -
Context2: string
Maximum Length:
150Reference Value 2 for component date ranges. -
Context3: string
Maximum Length:
150Reference Value 3 for component date ranges. -
Context4: string
Maximum Length:
150Reference Value 4 for component date ranges. -
Context5: string
Maximum Length:
150Reference Value 5 for component date ranges. -
Context6: string
Maximum Length:
150Reference Value 6 for component date ranges. -
DeductionGroupId: integer
(int64)
Deduction group ID of the calculation card component for component date ranges.
-
DeductionGroupName: string
Maximum Length:
240Deduction group name of the calculation card component for component date ranges. -
DirCardCompDefId: integer
(int64)
Definition ID of the calculation card component for component date ranges.
-
DirCardCompDefName: string
Maximum Length:
80Definition name of the calculation card component for component date ranges. -
DirCardCompDrId: integer
(int64)
Unique identifier for the calculation card component date range.
-
DirCardCompId: integer
(int64)
ID of the calculation card component.
-
DirCardDefinitionBaseName: string
Maximum Length:
80Definition base name of the calculation card for component date ranges. -
DirCardDefinitionId: integer
(int64)
Definition ID of the calculation card for component date ranges.
-
DirCardDefinitionName: string
Maximum Length:
80Definition name of the calculation card for component date ranges. -
DirCardId: integer
(int64)
Unique identifier of the calculation card for component date ranges.
-
DynamicAttributeNames: string
Attribute names of the calculation card component for component date ranges.
-
DynamicData: string
DynamicData is the write oriented attribute. Consumers pass a JSON string where each key identifies the calculation card components override attribute to create or change the value
-
DynamicDataDetails: string
DynamicDataDetails is the read-oriented metadata or value representation. It tells the consumer which dynamic override attributes are available for the calculation card component
-
EffectiveEndDate: string
(date)
Effective end date of calculation card component override.
-
EffectiveStartDate: string
(date)
Effective start date of the calculation card component override.
-
ElementTypeId: integer
(int64)
Element type ID of the calculation card component for component date ranges.
-
GroupBaseComponentName: string
Maximum Length:
80Group base component name of the calculation card component for component date ranges. -
GroupComponentName: string
Maximum Length:
80Group component name of the calculation card component for component date ranges. -
GroupDirCardCompDefId: integer
Group component definition ID of the calculation card component for component date ranges.
-
GUID: string
GUID for component date ranges.
-
IgnoreCompsWithoutOvdOrFlexes: string
Default Value:
NIgnore calculation card components without overrides. -
IgnoreTUContextComps: string
Indicates whether calculation card components with tax unit context are ignored for component date ranges.
-
LegislativeDataGroupId: integer
(int64)
Legislative data group ID of the employee payroll relationship for component date ranges.
-
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name of the employee payroll relationship for component date ranges. -
LevelCode: string
Maximum Length:
30Level code for component date ranges. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OverrideFlexAttributeDetails: string
Overrides attribute details of the calculation card component.
-
ParentDirCardCompDefId: integer
Component definition ID of the calculation card components parent component for component date ranges.
-
ParentDirCardCompId: integer
(int64)
Component ID of calculation card components parent component.
-
PayrollRelationshipId: integer
Payroll Relationship ID of the employee.
-
PayrollRelationshipNumber: string
Payroll relationship number of the employee for component date ranges.
-
PayrollStatUnitId: integer
Payroll statutory unit ID for component date ranges.
-
PayrollStatutoryUnitName: string
Name of the payroll statutory unit for component date ranges.
-
RangeEndDate: string
(date)
Range end date for component date ranges.
-
RangeMode: string
RangeMode controls certain date effective behavior for the update or delete of component date ranges.
-
RangeStartDate: string
(date)
Range start date for component date ranges.
-
Role: string
Role of the user.
-
SecBaseClassificationName: string
Maximum Length:
160Secondary base classification name of the calculation card component for component date ranges. -
SecondaryClassificationId: number
Secondary classification ID of the calculation card component for component date ranges.
-
SourceId: integer
(int64)
Payroll relationship ID of the employee for component date ranges.
-
SourceSystemId: string
Source system identifier for component date ranges.
-
SourceSystemOwner: string
Source system owner for component date ranges.
-
SourceType: string
Maximum Length:
30Type of source associated with the calculation card component date range. -
Subpriority: integer
Subpriority of the calculation card component date range.
-
SystemPersonType: string
System person type for component date ranges.
-
TaxReportingUnitName: string
Tax reporting unit name assigned to the calculation card for component date ranges.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.